import type { AsyncHooks, PluginHook } from "graphile-config";
export declare const NULL_PRESET: GraphileConfig.ResolvedPreset;
declare type GraphileConfigModule = typeof import("graphile-config");
declare type PromiseOrValue<T> = T | Promise<T>;
export declare function withGraphileConfig<T>(callback: (graphileConfig: GraphileConfigModule | null) => PromiseOrValue<T>): PromiseOrValue<T>;
export declare function withHooks<TResult>(resolvedPreset: GraphileConfig.ResolvedPreset, callback: (hooks: AsyncHooks<GraphileConfig.GrafastHooks> | null) => PromiseOrValue<TResult>): PromiseOrValue<TResult>;
export declare function hook<THookName extends keyof GraphileConfig.GrafastHooks>(resolvedPreset: GraphileConfig.ResolvedPreset, hookName: THookName, ...args: Parameters<GraphileConfig.GrafastHooks[THookName] extends PluginHook<infer U> ? U : never>): PromiseOrValue<void>;
export {};
//# sourceMappingURL=config.d.ts.map