export interface GrafastError extends Error {
    originalError: Error;
}
export declare const $$error: unique symbol;
export declare class _GrafastError extends Error implements GrafastError {
    readonly originalError: Error;
    extensions: Record<string, any>;
    [$$error]: boolean;
    constructor(originalError: Error, planId: number | null);
}
export declare function newGrafastError(error: Error, planId: number | null): _GrafastError;
export declare function isGrafastError(value: any): value is GrafastError;
//# sourceMappingURL=error.d.ts.map