import type { GraphQLField } from "graphql";
import type { OperationPlan } from "./engine/OperationPlan.js";
import type { FieldArgs, TrackedArguments } from "./interfaces.js";
import { ExecutableStep } from "./step.js";
export declare function withFieldArgsForArguments<T extends ExecutableStep, TParentStep extends ExecutableStep<any> = ExecutableStep<any>>(operationPlan: OperationPlan, parentPlan: TParentStep, $all: TrackedArguments, field: GraphQLField<any, any, any>, callback: (fieldArgs: FieldArgs) => T | null | undefined): Exclude<T, undefined | null | void> | TParentStep;
//# sourceMappingURL=opPlan-input.d.ts.map