import type { GraphQLLeafType, ValueNode } from "graphql";
import { UnbatchedExecutableStep } from "../step.js";
export declare class __InputStaticLeafStep<TLeaf = any> extends UnbatchedExecutableStep<TLeaf> {
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    private readonly coercedValue;
    constructor(inputType: GraphQLLeafType, value: ValueNode | undefined);
    unbatchedExecute(): TLeaf;
    eval(): TLeaf;
    evalIs(expectedValue: unknown): boolean;
}
//# sourceMappingURL=__inputStaticLeaf.d.ts.map