import type { ExecutionExtra, GrafastResultsList, GrafastValuesList } from "../interfaces.js";
import type { ExecutableStep } from "../step.js";
import { UnbatchedExecutableStep } from "../step.js";
export declare type ActualKeyByDesiredKey = {
    [desiredKey: string]: string;
};
export declare function makeMapper(actualKeyByDesiredKey: ActualKeyByDesiredKey): any;
export declare class MapStep extends UnbatchedExecutableStep {
    private actualKeyByDesiredKey;
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    allowMultipleOptimizations: boolean;
    private mapper;
    constructor($plan: ExecutableStep, actualKeyByDesiredKey: ActualKeyByDesiredKey);
    toStringMeta(): string;
    execute(values: GrafastValuesList<any[]>): GrafastResultsList<any>;
    unbatchedExecute(extra: ExecutionExtra, value: any): any;
    deduplicate(peers: MapStep[]): MapStep[];
}
export declare function map($step: ExecutableStep, actualKeyByDesiredKey: {
    [desiredKey: string]: string;
}): MapStep;
//# sourceMappingURL=map.d.ts.map