import type { FragmentDefinitionNode, GraphQLSchema, OperationDefinitionNode } from "graphql";
import { OperationPlan } from "./index.js";
import type { BaseGraphQLContext, BaseGraphQLRootValue, BaseGraphQLVariables } from "./interfaces.js";
declare type Fragments = {
    [key: string]: FragmentDefinitionNode;
};
export declare function establishOperationPlan<TVariables extends BaseGraphQLVariables = BaseGraphQLVariables, TContext extends BaseGraphQLContext = BaseGraphQLContext, TRootValue extends BaseGraphQLRootValue = BaseGraphQLRootValue>(schema: GraphQLSchema, operation: OperationDefinitionNode, fragments: Fragments, variableValues: TVariables, context: TContext, rootValue: TRootValue): OperationPlan;
export {};
//# sourceMappingURL=establishOperationPlan.d.ts.map