import type { FieldNode, SelectionNode } from "graphql";
import { GraphQLObjectType } from "graphql";
import type { OperationPlan } from "./engine/OperationPlan.js";
import type { __TrackedObjectStep } from "./steps/index.js";
export declare function evalDirectiveArg<T = unknown>(selection: SelectionNode, directiveName: string, argumentName: string, variableValuesStep: __TrackedObjectStep): T | undefined;
export interface SelectionSetDigest {
    label: string | undefined;
    fields: Map<string, FieldNode[]>;
    deferred: SelectionSetDigest[];
}
export declare function graphqlCollectFields(operationPlan: OperationPlan, parentStepId: number, objectType: GraphQLObjectType, selections: readonly SelectionNode[], isMutation?: boolean, visitedFragments?: Set<string>, selectionSetDigest?: SelectionSetDigest): SelectionSetDigest;
//# sourceMappingURL=graphqlCollectFields.d.ts.map