import type { OperationPlan } from ".";
import type { ExecutableStep } from "./step.js";
export declare const COLORS: string[];
export declare const mermaidEscape: (str: string) => string;
export interface PrintPlanGraphOptions {
    printPathRelations?: boolean;
    includePaths?: boolean;
    concise?: boolean;
}
export declare function printPlanGraph(operationPlan: OperationPlan, { concise, }: PrintPlanGraphOptions, { steps, }: {
    steps: {
        [stepId: number]: ExecutableStep;
    };
}): string;
//# sourceMappingURL=mermaid.d.ts.map