import type { GrafastResultsList } from "../interfaces.js";
import { UnbatchedExecutableStep } from "../step.js";
export declare class ConstantStep<TData> extends UnbatchedExecutableStep<TData> {
    private data;
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    constructor(data: TData);
    execute(values: [[undefined]]): GrafastResultsList<TData>;
    eval(): TData;
    evalIs(value: any): boolean;
    evalIsEmpty(): boolean;
    unbatchedExecute(): TData;
    isNull(): boolean;
}
export declare function constant(strings: TemplateStringsArray & [string]): ConstantStep<string>;
export declare function constant<TData>(data: TData): ConstantStep<TData>;
//# sourceMappingURL=constant.d.ts.map