import type { GrafastResultsList, GrafastValuesList } from "../interfaces.js";
import { UnbatchedExecutableStep } from "../step.js";
export declare class ErrorStep<TError extends Error> extends UnbatchedExecutableStep<never> {
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    error: TError;
    constructor(error: TError);
    execute(values: GrafastValuesList<any>): GrafastResultsList<any>;
    unbatchedExecute(): any;
}
export declare function error<TError extends Error>(error: TError): ErrorStep<TError>;
//# sourceMappingURL=error.d.ts.map